import { defHttp } from '@/utils/http/axios';
import { ID, IDS, commonExport } from '@/api/base';
import { AreaVO, AreaForm, AreaQuery } from './model';

/**
 * 查询行政区域信息;列表
 * @param params
 * @returns
 */
export function areaList(params?: AreaQuery) {
  return defHttp.get<AreaVO[]>({ url: '/system/area/list', params });
}

/**
 * 导出行政区域信息;列表
 * @param params
 * @returns
 */
export function areaExport(params?: AreaQuery) {
  return commonExport('/system/area/export', params ?? {});
}

/**
 * 查询行政区域信息;详细
 * @param id id
 * @returns
 */
export function areaInfo(id: ID) {
  return defHttp.get<AreaVO>({ url: '/system/area/' + id });
}

/**
 * 新增行政区域信息;
 * @param data
 * @returns
 */
export function areaAdd(data: AreaForm) {
  return defHttp.postWithMsg<void>({ url: '/system/area', data });
}

/**
 * 更新行政区域信息;
 * @param data
 * @returns
 */
export function areaUpdate(data: AreaForm) {
  return defHttp.putWithMsg<void>({ url: '/system/area', data });
}

/**
 * 删除行政区域信息;
 * @param id id
 * @returns
 */
export function areaRemove(id: ID | IDS) {
  return defHttp.deleteWithMsg<void>({ url: '/system/area/' + id });
}
